* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Arial", sans-serif;
}

body {
    background-color: #1c243d;
    color: white;
}



header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    background-color: #1c243d;
    border-bottom: 1px solid #333;
}

.logo {
    font-size: 28px;
    font-weight: bold;
    color: #ffcc00;
}


nav ul {
    display: flex;
    list-style: none;
    gap: 30px;
}

nav a {
    text-decoration: none;
    color: white;
    font-weight: bold;
}

nav a:hover {
    color: #ffcc00;
}



.main-banner {
    height: 450px;
    background:
    linear-gradient(
        rgba(0, 0, 0, 0.65),
        rgba(0, 0, 0, 0.65)
    ),
    url("");

    background-size: cover;
    background-position: center;

    display: flex;
    align-items: center;
    padding-left: 80px;
}


.banner-text h1 {
    font-size: 45px;
    color: white;
}

.banner-text p {
    margin-top: 20px;
    color: #ccc;
    font-size: 18px;
}


button {
    margin-top: 30px;
    padding: 15px 30px;
    border: none;
    border-radius: 30px;
    background-color: #ffcc00;
    color: black;
    font-weight: bold;
    cursor: pointer;
}

button:hover {
    background-color: #ff9900;
}



/* 영화 영역 */
.movie-section,
.category-section,
.review-section {
    padding: 60px;
}


.section-title {
    font-size: 32px;
    margin-bottom: 40px;
    color: #ffcc00;
}



/* 영화 카드 */
.movie-container {
    display: flex;
    gap: 30px;
}


.movie-card {
    width: 300px;
    background-color: #868686;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 5px 20px black;
}


.movie-card img {
    width: 100%;
    height: 350px;
    object-fit: cover;
}


.movie-info {
    padding: 20px;
}


.movie-info h3 {
    color: white;
    margin-bottom: 10px;
}


.genre {
    color: #ffffff;
}


.star {
    color: gold;
    margin: 10px 0;
}



/* 장르 */
.category-container {
    display: flex;
    gap: 25px;
}


.category-box {
    flex: 1;
    padding: 30px;
    border-radius: 20px;
    text-align: center;
    color: white;
}


.action {
    background-color: #f7971e;
}


.comedy {
   background-color: #99e7a3;
}


.romance {
    background-color: #e46ba3;
}


.sf {
    background-color: #73b3fd;
}




.review-box {
    background-color: #1c1c28;
    padding: 25px;
    margin-bottom: 20px;
    border-radius: 15px;
}


.review-box p {
    font-size: 18px;
}


.review-box span {
    color: #ffcc00;
}



/* FOOTER */
footer {
    background-color: #09090d;
    text-align: center;
    padding: 40px;
    color: #aaa;
}


footer h3 {
    color: #ffcc00;
    margin-bottom: 15px;
}